/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model192
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model192 {
  @SerializedName("date")
  private String date = null;

  @SerializedName("is_return_journey")
  private Boolean isReturnJourney = null;

  @SerializedName("has_stop_over")
  private Boolean hasStopOver = null;

  @SerializedName("transport_mode")
  private String transportMode = null;

  @SerializedName("ticket_number")
  private String ticketNumber = null;

  @SerializedName("reference_number")
  private String referenceNumber = null;

  @SerializedName("origin")
  private String origin = null;

  @SerializedName("destination")
  private String destination = null;

  public Model192 date(String date) {
    this.date = date;
    return this;
  }

   /**
   * Date and time of the beginning of the journey. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)
   * @return date
  **/
  @ApiModelProperty(required = true, value = "Date and time of the beginning of the journey. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ)")
  public String getDate() {
    return date;
  }

  public void setDate(String date) {
    this.date = date;
  }

  public Model192 isReturnJourney(Boolean isReturnJourney) {
    this.isReturnJourney = isReturnJourney;
    return this;
  }

   /**
   * Indicates if the journey is a return journey (&#x3D;TRUE) or an outward (&#x3D;FALSE).
   * @return isReturnJourney
  **/
  @ApiModelProperty(value = "Indicates if the journey is a return journey (=TRUE) or an outward (=FALSE).")
  public Boolean isIsReturnJourney() {
    return isReturnJourney;
  }

  public void setIsReturnJourney(Boolean isReturnJourney) {
    this.isReturnJourney = isReturnJourney;
  }

  public Model192 hasStopOver(Boolean hasStopOver) {
    this.hasStopOver = hasStopOver;
    return this;
  }

   /**
   * Indicates if the journey contains stop over(&#x3D;TRUE) or not (&#x3D;FALSE).
   * @return hasStopOver
  **/
  @ApiModelProperty(value = "Indicates if the journey contains stop over(=TRUE) or not (=FALSE).")
  public Boolean isHasStopOver() {
    return hasStopOver;
  }

  public void setHasStopOver(Boolean hasStopOver) {
    this.hasStopOver = hasStopOver;
  }

  public Model192 transportMode(String transportMode) {
    this.transportMode = transportMode;
    return this;
  }

   /**
   * Transport mode used for the journey (PLANE, TRAIN, CAR, BOAT..).
   * @return transportMode
  **/
  @ApiModelProperty(example = "PLANE", value = "Transport mode used for the journey (PLANE, TRAIN, CAR, BOAT..).")
  public String getTransportMode() {
    return transportMode;
  }

  public void setTransportMode(String transportMode) {
    this.transportMode = transportMode;
  }

  public Model192 ticketNumber(String ticketNumber) {
    this.ticketNumber = ticketNumber;
    return this;
  }

   /**
   * Ticket number used for the journey (airline ticket, train ticket ...).
   * @return ticketNumber
  **/
  @ApiModelProperty(example = "TF123456", value = "Ticket number used for the journey (airline ticket, train ticket ...).")
  public String getTicketNumber() {
    return ticketNumber;
  }

  public void setTicketNumber(String ticketNumber) {
    this.ticketNumber = ticketNumber;
  }

  public Model192 referenceNumber(String referenceNumber) {
    this.referenceNumber = referenceNumber;
    return this;
  }

   /**
   * Reference number of the journey (Flight number, Train number ...).
   * @return referenceNumber
  **/
  @ApiModelProperty(example = "AF528", value = "Reference number of the journey (Flight number, Train number ...).")
  public String getReferenceNumber() {
    return referenceNumber;
  }

  public void setReferenceNumber(String referenceNumber) {
    this.referenceNumber = referenceNumber;
  }

  public Model192 origin(String origin) {
    this.origin = origin;
    return this;
  }

   /**
   * Origin country, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return origin
  **/
  @ApiModelProperty(example = "FR", value = "Origin country, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getOrigin() {
    return origin;
  }

  public void setOrigin(String origin) {
    this.origin = origin;
  }

  public Model192 destination(String destination) {
    this.destination = destination;
    return this;
  }

   /**
   * Destination country, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return destination
  **/
  @ApiModelProperty(example = "IT", required = true, value = "Destination country, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getDestination() {
    return destination;
  }

  public void setDestination(String destination) {
    this.destination = destination;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model192 model192 = (Model192) o;
    return Objects.equals(this.date, model192.date) &&
        Objects.equals(this.isReturnJourney, model192.isReturnJourney) &&
        Objects.equals(this.hasStopOver, model192.hasStopOver) &&
        Objects.equals(this.transportMode, model192.transportMode) &&
        Objects.equals(this.ticketNumber, model192.ticketNumber) &&
        Objects.equals(this.referenceNumber, model192.referenceNumber) &&
        Objects.equals(this.origin, model192.origin) &&
        Objects.equals(this.destination, model192.destination);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, isReturnJourney, hasStopOver, transportMode, ticketNumber, referenceNumber, origin, destination);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model192 {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    isReturnJourney: ").append(toIndentedString(isReturnJourney)).append("\n");
    sb.append("    hasStopOver: ").append(toIndentedString(hasStopOver)).append("\n");
    sb.append("    transportMode: ").append(toIndentedString(transportMode)).append("\n");
    sb.append("    ticketNumber: ").append(toIndentedString(ticketNumber)).append("\n");
    sb.append("    referenceNumber: ").append(toIndentedString(referenceNumber)).append("\n");
    sb.append("    origin: ").append(toIndentedString(origin)).append("\n");
    sb.append("    destination: ").append(toIndentedString(destination)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

